################################################
#
# Web User Interface definitions
#
# This allows you to modify the cosmetics of 
# the Web User Interface script without having
# to modify the code of the application.
#
###############################################

###############################################
#
# Define image file to use if there is no 
# photo.gif or photo.jpg in the users' 
# directory.  The file names available by 
# default are:
#
#  default.gif
#  default2.gif
#  default3.gif
#
$PhotoFileName="default.gif";
#
# Define photo image file height and width in
# pixels.
#
$PhotoWidth=70;
$PhotoHeight=70;
#
###############################################


###############################################
#
# Header subroutine
# Prints the upper half of the web page.
# 
###############################################

sub PrintHeader {

local($in_hostname) = @_;

print <<"FIN";
Content-type: text/html

<html>
<head>
   <title>Users: $in_hostname</title>
</head>

<body bgcolor="42426f" text="ffffff" link="ffff00" vlink="93db70"
alink="cc3232">
<center>
<h4>The Linux for Schools Project presents:</h4>
</center>
<img src="/web_ui/PoweredByLinux.gif"><p><br>
<center><h1>Welcome to . . .</h1><p>
<img src="/web_ui/linux.gif"></A><p>
<i><font size=7>
$in_hostname
</font></i><p>
</center>
<hr size=3 width=80%>
<center>
<h3>
The following people have home pages on this machine:
</h3>
</center>
<center>
<table cellpadding=10>
FIN
;

print "<!-- (C) 1997 Emmanuel PIERRE <epierre\@e-nef.com>-->\n";

}

#############################################
#
# Print Footer subroutine
# Prints the closing HTML.
#
############################################

sub PrintFooter {

print <<"FIN"
<hr size = "3" width="80%">
</center>
</body>
</html>
FIN
;

}

1
